libzypp 17.38.5

keyring_p.h File Reference
`#include <zypp-core/ng/base/signals.h>`
`#include <zypp-core/fs/TmpPath.h>`
`#include <zypp-core/fs/WatchFile>`
`#include <zypp-common/KeyManager.h>`
`#include <zypp-core/ng/pipelines/expected.h>`
`#include <optional>`

Go to the source code of this file.

## Classes
class | zypp::CachedPublicKeyData
| Functor returning the keyrings data (cached). More...
struct | zypp::CachedPublicKeyData::Manip
| Helper providing on demand a KeyManagerCtx to manip the cached keyring. More...
struct | zypp::CachedPublicKeyData::Cache
class | zypp::KeyRingImpl
| KeyRing implementation, shared between zyppng and zypp. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.